apiVersion: "v1"
kind: "Service"
metadata:
  name: {{ include "worker.fullname" . }}
  labels: {{- include "worker.labels" . | nindent 4 }}
spec:
  ports:
    - name: "api"
      port: {{ .Values.apiPort }}
    - name: "metrics"
      port: {{ .Values.metricsPort }}
    - name: "vpa-grpc"
      port: {{ .Values.grpcServerPort }}
  selector: {{- include "worker.selectorLabels" . | nindent 4 }}
